Commit 39299671 authored by Andrew Gerrand's avatar Andrew Gerrand

build: remove depdenency on GNU make

LGTM=bradfitz
R=bradfitz
CC=golang-codereviews
https://golang.org/cl/84920043
parent 844ec6bb
# Copyright 2010 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.
all: index.html
CLEANFILES=get.bin final.bin a.out
clean:
rm -f $(CLEANFILES)
......@@ -11,6 +11,8 @@ cleanup() {
}
trap cleanup 0 INT
rm -f get.bin final.bin a.out
# If called with -all, check that all code snippets compile.
if [ "$1" == "-all" ]; then
for fn in *.go; do
......
......@@ -166,7 +166,6 @@ time ./run || exit 1
[ "$GOARCH" == arm ] || # uses network, fails under QEMU
(xcd ../doc/articles/wiki
make clean || exit 1
./test.bash || exit 1
) || exit $?
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment